## org.eclipse.datatools.enablement.sybase.util
Class StringUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.util.StringUtil

    public class StringUtil

extends java.lang.Object

String Utility class

Author:
  Hui Wan

Constructor Summary
`StringUtil()`

Method Summary
`static boolean` `containsInArrays(java.lang.String value, java.lang.String[] arrays)` Check the given value is in a string arrays
`static boolean` `isNumber(java.lang.String string)` Returns whether the given String is composed solely of digits

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### isNumber

    public static boolean isNumber(java.lang.String string)

  Returns whether the given String is composed solely of digits

### containsInArrays

    public static boolean containsInArrays(java.lang.String value,
                                           java.lang.String[] arrays)

  Check the given value is in a string arrays

  Parameters:
    `value` -
    `arrays` -
  Returns: